Package org.h2.engine

# Class UserBuilder

java.lang.Object
org.h2.engine.UserBuilder

public class UserBuilder extends Object

## Constructor Summary

Constructors
Constructor
Description
`UserBuilder()`

## Method Summary

Modifier and Type
Method
Description
`static User`
`buildUser(AuthenticationInfo authenticationInfo, Database database, boolean persistent)`
Build the database user starting from authentication informations.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UserBuilder

public UserBuilder()

## Method Details

### buildUser

public static User buildUser(AuthenticationInfo authenticationInfo, Database database, boolean persistent)
Build the database user starting from authentication informations.

Parameters:
  `authenticationInfo` - authentication info
  `database` - target database
  `persistent` - true if the user will be persisted in the database
Returns:
  user bean